<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" style="color:white;">FIFA Manager</a>
  <button aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler"
          data-target="#navbarColor02" data-toggle="collapse" type="button">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarColor02">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" (click)="onOpenModal(null, 'add')">Add Team
          <span class="sr-only">(current)</span></a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" (ngModelChange)="searchTeams(key.value)" #key="ngModel" ngModel=""
             id="searchName" name="key" placeholder="Search teams..." type="search">
    </form>
  </div>
</nav>

<!-- Card - Info Team -->
<div class="container" id="main-container">
  <div class="row">
    <div *ngFor="let team of teams" class="col-md-6 col-xl-3">
      <div class="card m-b-30">
        <div class="card-body row">
          <div class="col-6">
            <a href=""><img alt="" class="img-fluid w-100" src="assets/teams/{{team?.logo}}"></a>
          </div>
          <div class="col-6 card-title align-self-center mb-0">
            <h5>{{team?.nickName}}</h5>
            <p class="m-0"></p>
          </div>
        </div>
        <ul class="list-group list-group-flush">
          <li class="list-group-item"><a href="{{team?.webPage}}" target="_blank">Web Page</a></li>
          <li class="list-group-item"><i class="fa fa-phone float-right"></i>Country: {{team?.country}}</li>
        </ul>
        <div class="card-body">
          <div class="float-right btn-group btn-group-sm">
            <a class="btn btn-primary tooltips" (click)="onOpenModal(team, 'edit')" data-original-title="Edit"
               data-placement="top"><i
              class="fa fa-pencil"></i> </a>
            <a class="btn btn-secondary tooltips" (click)="onOpenModal(team, 'delete')" data-original-title="Delete"
               data-placement="top"><i
              class="fa fa-times"></i></a>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Add Team Modal -->
  <div aria-hidden="true" aria-labelledby="addTeamModalLabel" class="modal fade" id="addTeamModal" role="dialog"
       tabindex="-1">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="addTeamModalLabel">Add Team</h5>
          <button aria-label="Close" class="close" data-dismiss="modal" type="button">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form #addForm="ngForm" (ngSubmit)="onAddTeam(addForm)">
            <div class="form-group">
              <label for="name">Name</label>
              <input class="form-control" id="name" ngModel name="name" placeholder="Name" required type="text">
            </div>
            <div class="form-group">
              <label for="nickName">Nickname</label>
              <input class="form-control" id="nickName" ngModel name="nickName" placeholder="Nickname" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="email">Email Address</label>
              <input class="form-control" id="email" ngModel name="email" placeholder="Email" required type="email">
            </div>
            <div class="form-group">
              <label for="stadium">Stadium</label>
              <input class="form-control" id="stadium" ngModel name="stadium" placeholder="Stadium" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="logo">Logo</label>
              <input class="form-control" id="logo" ngModel name="logo" placeholder="Logo" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="webPage">Web Page</label>
              <input class="form-control" id="webPage" ngModel name="webPage" placeholder="Web Page" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="city">City</label>
              <input class="form-control" id="city" ngModel name="city" placeholder="City" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="country">Country</label>
              <input class="form-control" id="country" ngModel name="country" placeholder="Country" required
                     type="text">
            </div>
            <div class="modal-footer">
              <button class="btn btn-secondary" data-dismiss="modal" id="add-team-form" type="button">Close</button>
              <button [disabled]="addForm.invalid" class="btn btn-primary" type="submit">Save changes</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

  <!-- Edit Modal -->
  <div aria-hidden="true" aria-labelledby="editTeamModalLabel" class="modal fade" id="editTeamModal" role="dialog"
       tabindex="-1">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="editTeamModalLabel">Edit Team {{updateTeam?.name}} </h5>
          <button aria-label="Close" class="close" data-dismiss="modal" type="button">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <form #editForm="ngForm">
            <div class="form-group">
              <label for="teamCode">Team Code</label>
              <input class="form-control" id="teamCode" ngModel="{{updateTeam?.teamCode}}" name="teamCode"
                     type="text" readonly>
            </div>
            <input class="form-control" id="id" ngModel="{{updateTeam?.id}}" name="id"
                   type="hidden">
            <div class="form-group">
              <label for="name">Name</label>
              <input class="form-control" id="name" ngModel="{{updateTeam?.name}}" name="name" placeholder="Name"
                     required type="text">
            </div>
            <div class="form-group">
              <label for="nickName">Nickname</label>
              <input class="form-control" id="nickName" ngModel="{{updateTeam?.nickName}}" name="nickName"
                     placeholder="Nickname" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="email">Email Address</label>
              <input class="form-control" id="email" ngModel="{{updateTeam?.email}}" name="email" placeholder="Email"
                     required type="email">
            </div>
            <div class="form-group">
              <label for="stadium">Stadium</label>
              <input class="form-control" id="stadium" ngModel="{{updateTeam?.stadium}}" name="stadium"
                     placeholder="Stadium" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="logo">Logo</label>
              <input class="form-control" id="logo" ngModel="{{updateTeam?.logo}}" name="logo" placeholder="Logo"
                     required
                     type="text">
            </div>
            <div class="form-group">
              <label for="webPage">Web Page</label>
              <input class="form-control" id="webPage" ngModel="{{updateTeam?.webPage}}" name="webPage"
                     placeholder="Web Page" required
                     type="text">
            </div>
            <div class="form-group">
              <label for="city">City</label>
              <input class="form-control" id="city" ngModel="{{updateTeam?.city}}" name="city" placeholder="City"
                     required
                     type="text">
            </div>
            <div class="form-group">
              <label for="country">Country</label>
              <input class="form-control" id="country" ngModel="{{updateTeam?.country}}" name="country"
                     placeholder="Country" required
                     type="text">
            </div>
            <div class="modal-footer">
              <button class="btn btn-secondary" data-dismiss="modal" id="edit-team-form" type="button">Close</button>
              <button [disabled]="editForm.invalid" (click)="onUpdateTeam(editForm.value)" data-dismiss="modal"
                      class="btn btn-primary">Save changes
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>

  <!-- Delete Modal -->
  <div aria-hidden="true" aria-labelledby="deleteModelLabel" class="modal fade" id="deleteTeamModal" role="dialog"
       tabindex="-1">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="deleteModelLabel">Delete Team</h5>
          <button aria-label="Close" class="close" data-dismiss="modal" type="button">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>Are you sure you want to delete team {{deleteTeam?.name}}?</p>
          <div class="modal-footer">
            <button class="btn btn-secondary" data-dismiss="modal" type="button">No</button>
            <button (click)="onDeleteTeam(deleteTeam?.id)" class="btn btn-danger" data-dismiss="modal">Yes</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Notification for no teams -->
<div *ngIf="teams?.length == 0" class="col-lg-12 col-md-12 col-xl-12">
  <div class="alert alert-info" role="alert">
    <h4 class="alert-heading">NO TEAMS!</h4>
    <p>No Teams were found.</p>
  </div>
</div>
